{
	"format_version": "1.10.0",
	"minecraft:attachable": {
		"description": {
			"identifier": "hoh_bht:grabber",
			"render_controllers": ["controller.render.item_default"],
			"materials": {
				"default": "entity_alphatest",
				"enchanted": "entity_alphatest_glint"
			},
			"textures": {
				"default": "textures/HoH/bht/entity/attachable/grabber",
				"enchanted": "textures/misc/enchanted_item_glint"
			},
			"geometry": {
				"default": "geometry.hoh_bht_grabber"
			},
			"animations": {
				"first_person_hold": "animation.grabber_first_person_hold",
				"third_person_hold": "animation.grabber_third_person_hold",
				"grab": "animation.grabber_grab",
				"ctrl": "controller.animation.hoh_bht.grabber"
			},
			"scripts": {
				"animate": [
					"ctrl",
					{
						"first_person_hold": "c.is_first_person"
					},
					{
						"third_person_hold": "!c.is_first_person"
					}
				]
			}
		}
	}
}